Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360385 - Error when retiring an orchestration stack from list view
Summary: Error when retiring an orchestration stack from list view
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Milan Zázrivec
QA Contact: Aziza Karol
URL:
Whiteboard:
Depends On: 1359150
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 14:47 UTC by John Prause
Modified: 2017-01-11 19:57 UTC (History)
9 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1359150
Environment:
Last Closed: 2017-01-11 19:57:16 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Prause 2016-07-26 14:47:30 UTC
+++ This bug was initially created as a clone of Bug #1359150 +++

Description of problem:
The following error occurs when retiring orchestration stack from
list view:

Error caught: [ActiveRecord::RecordNotFound] Couldn't find VmOrTemplate with 'id'=2
...
app/controllers/application_controller/ci_processing.rb:183:in `retirevms'
app/controllers/orchestration_stack_controller.rb:113:in `button'


Version-Release number of selected component (if applicable):
CFME 5.6

How reproducible:
Always

Steps to Reproduce:
1. Compute -> Cloud -> Stacks
2. From list view, select a stack
3. Policy -> Set retirement date

Actual results:
The error above.

Expected results:
No error.

Additional info:
N/A

--- Additional comment from Milan Zazrivec on 2016-07-22 08:11:30 EDT ---

https://github.com/ManageIQ/manageiq/pull/9933

Comment 2 Aziza Karol 2016-10-05 09:08:15 UTC
Retiring an orchestration stack from list view successful.

Verified:5.7.0.3.20160927165516_075d0f3


Note You need to log in before you can comment on or make changes to this bug.